Page MenuHomePhabricator

ExternalData should show up as data source in credits
Closed, ResolvedPublic

Description

All externalData elements that use "geoshapes" service and having "query" parameter should also show as a link at the bottom of the map. Clicking the link should take user to the https://query.wikimedia.org/#GeoShapesQueryParameter -- this way users may examine the original data themselves, or modify the original query to see what it produces. This link may either be always shown, or it could be hidden behind some generic "data sources" link, which shows a little scrollable popup with the list of all such queries.

Event Timeline

Yurik created this task.Sep 8 2016, 6:43 PM
Restricted Application added a project: Discovery. · View Herald TranscriptSep 8 2016, 6:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Yurik moved this task from Unsorted to UI tasks on the Maps (Kartographer) board.Sep 9 2016, 2:55 AM
JGirault claimed this task.Sep 9 2016, 5:28 PM
JGirault moved this task from Backlog to In progress on the Maps-Sprint board.Oct 3 2016, 6:33 PM

Change 314730 had a related patch set uploaded (by JGirault):
Refactor data loader into a separate lib

https://gerrit.wikimedia.org/r/314730

JGirault moved this task from In progress to Needs review on the Maps-Sprint board.Oct 7 2016, 6:46 PM

Change 314730 merged by Yurik:
Refactor data loader into a separate lib

https://gerrit.wikimedia.org/r/314730